BizKitHub
DocsAPI ReferenceWarehouse Production/bff/warehouse/production/labour-type/save

/bff/warehouse/production/labour-type/save

Rate changes apply to production orders created afterwards; existing orders keep their snapshot.

Warehouse productionpostBffWarehouseProductionLabour-typeSave

Parameters

JSON body

Request body

application/json
idnumber | nullOptional

Omit to create a new labour type.

One of 2:
Variant 1
number
Variant 2
null
codestringRequired
Length: 0–64
Examplesiti
namestringRequired
Length: 0–200
ExampleŠití
hourlyRatenumberRequired

Per hour, organisation default currency.

Range: 0–∞
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
success"true"Required
labourTypeobjectRequired
idnumberRequired
codestringRequired
namestringRequired
hourlyRatenumberRequired

Per hour, organisation default currency.

notestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "success": true,
  "labourType": {
    "id": 0,
    "code": "example_code",
    "name": "example_name",
    "hourlyRate": 0
  }
}

Request example

POST /bff/warehouse/production/labour-type/save

post
curl -X POST "https://api.bizkithub.com/bff/warehouse/production/labour-type/save" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "code": "siti",
  "name": "Šití",
  "hourlyRate": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key